### File

`packages/ecl/components/ecl-mega-menu/services/ecl-mega-menu.service.ts`

### Index

###### Methods
setExtraAttributesForLink

### Constructor

`constructor(rendererFactory: RendererFactory2)`
Parameters :
Name | Type | Optional
rendererFactory | `RendererFactory2` | No

### Methods

setExtraAttributesForLink
`setExtraAttributesForLink(link: HTMLElement, linkExtraAttributes: literal type)`
Parameters :
Name | Type | Optional
link | `HTMLElement` | No
linkExtraAttributes | `literal type` | No
Returns : `void`

# results matching ""

# No results matching ""